#ifndef OBJECT_FILE_H
#define OBJECT_FILE_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: file.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";
#include <cstdio>
#include "object.h"
#include "globals.h"

// global object counters (for memory debugging)
extern int file_type_count;

class JC_file : public JC_object {
protected:
	FILE* content;
public:
	JC_file();
	JC_file(FILE*);
	JC_file(const JC_file& j);
	virtual ~JC_file(void);

	inline const obj_type	get_type(void) const	{ return _FILE_; };
	inline FILE* 			to_file() const			{ return content; };
	inline std::string		key(void) const			{ return to_string(); };
	std::string	to_string(void) const;
};

#endif
